diff --git a/gcc/gimple-fold.c b/gcc/gimple-fold.c
index d12f9d0..0926f43 100644
--- a/gcc/gimple-fold.c
+++ b/gcc/gimple-fold.c
@@ -120,7 +120,7 @@ can_refer_decl_in_current_unit_p (tree decl, tree from_decl)
 	  && (vnode = varpool_node::get (from_decl)) != NULL
 	  && vnode->in_other_partition))
     return true;
-  /* We are folding reference from external vtable.  The vtable may reffer
+  /* We are folding reference from external vtable.  The vtable may refer
      to a symbol keyed to other compilation unit.  The other compilation
      unit may be in separate DSO and the symbol may be hidden.  */
   if (DECL_VISIBILITY_SPECIFIED (decl)
@@ -6167,7 +6167,7 @@ fold_array_ctor_reference (tree type, tree ctor,
   if (tree val = get_array_ctor_element_at_index (ctor, access_index))
     return fold_ctor_reference (type, val, inner_offset, size, from_decl);
 
-  /* When memory is not explicitely mentioned in constructor,
+  /* When memory is not explicitly mentioned in constructor,
      it is 0 (or out of range).  */
   return build_zero_cst (type);
 }
@@ -6231,7 +6231,7 @@ fold_nonarray_ctor_reference (tree type, tree ctor,
 				      from_decl);
 	}
     }
-  /* When memory is not explicitely mentioned in constructor, it is 0.  */
+  /* When memory is not explicitly mentioned in constructor, it is 0.  */
   return build_zero_cst (type);
 }
 
@@ -6450,7 +6450,7 @@ gimple_get_virt_method_for_vtable (HOST_WIDE_INT token,
   init = ctor_for_folding (v);
 
   /* The virtual tables should always be born with constructors
-     and we always should assume that they are avaialble for
+     and we always should assume that they are available for
      folding.  At the moment we do not stream them in all cases,
      but it should never happen that ctor seem unreachable.  */
   gcc_assert (init);
@@ -6533,7 +6533,7 @@ gimple_get_virt_method_for_vtable (HOST_WIDE_INT token,
    KNOWN_BINFO carries the binfo describing the true type of
    OBJ_TYPE_REF_OBJECT(REF).
    Set CAN_REFER if non-NULL to false if method
-   is not referable or if the virtual table is ill-formed (such as rewriten
+   is not referable or if the virtual table is ill-formed (such as rewritten
    by non-C++ produced symbol). Otherwise just return NULL in that calse.  */
 
 tree
@@ -6901,7 +6901,7 @@ gimple_build (gimple_seq *seq, location_t loc,
 }
 
 /* Build the conversion (TYPE) OP with a result of type TYPE
-   with location LOC if such conversion is neccesary in GIMPLE,
+   with location LOC if such conversion is necessary in GIMPLE,
    simplifying it first.
    Returns the built expression value and appends
    statements possibly defining it to SEQ.  */
@@ -6916,7 +6916,7 @@ gimple_convert (gimple_seq *seq, location_t loc, tree type, tree op)
 
 /* Build the conversion (ptrofftype) OP with a result of a type
    compatible with ptrofftype with location LOC if such conversion
-   is neccesary in GIMPLE, simplifying it first.
+   is necessary in GIMPLE, simplifying it first.
    Returns the built expression value and appends
    statements possibly defining it to SEQ.  */
 
diff --git a/gcc/gimple-ssa-split-paths.c b/gcc/gimple-ssa-split-paths.c
index 70651c5..6c556d6 100644
--- a/gcc/gimple-ssa-split-paths.c
+++ b/gcc/gimple-ssa-split-paths.c
@@ -146,7 +146,7 @@ poor_ifcvt_candidate_code (enum tree_code code)
      jump rather than CSE/DCE opportunities.  So favor duplicating
      small latches.  A latch with just a conditional branch is ideal.
 
-     CSE/DCE opportunties crop up when statements from the predecessors
+     CSE/DCE opportunities crop up when statements from the predecessors
      feed statements in the latch and allow statements in the latch to
      simplify.  */
 
diff --git a/gcc/gimple-ssa-sprintf.c b/gcc/gimple-ssa-sprintf.c
index f43778b..7da4476 100644
--- a/gcc/gimple-ssa-sprintf.c
+++ b/gcc/gimple-ssa-sprintf.c
@@ -29,7 +29,7 @@ along with GCC; see the file COPYING3.  If not see
    For all functions (bounded or not) the pass uses the size of the
    destination object.  That means that it will diagnose calls to
    snprintf not on the basis of the size specified by the function's
-   second argument but rathger on the basis of the size the first
+   second argument but rather on the basis of the size the first
    argument points to (if possible).  For bound-checking built-ins
    like __builtin___snprintf_chk the pass uses the size typically
    determined by __builtin_object_size and passed to the built-in
@@ -39,7 +39,7 @@ along with GCC; see the file COPYING3.  If not see
    including character, integer, floating point, pointer, and strings,
    with the standard C flags, widths, and precisions.  For integers
    and strings it computes the length of output itself.  For floating
-   point it uses MPFR to fornmat known constants with up and down
+   point it uses MPFR to format known constants with up and down
    rounding and uses the resulting range of output lengths.  For
    strings it uses the length of string literals and the sizes of
    character arrays that a character pointer may point to as a bound
@@ -1175,7 +1175,7 @@ get_int_range (tree arg, HOST_WIDE_INT *pmin, HOST_WIDE_INT *pmax,
 	    *pmin = *pmax = -*pmin;
 	  else
 	    {
-	      /* Make sure signed overlow is avoided.  */
+	      /* Make sure signed overflow is avoided.  */
 	      gcc_assert (*pmin != HOST_WIDE_INT_MIN);
 
 	      HOST_WIDE_INT tmp = -*pmin;
@@ -1653,7 +1653,7 @@ format_floating_max (tree type, char spec, HOST_WIDE_INT prec)
   if (MODE_COMPOSITE_P (mode))
     mode = DFmode;
 
-  /* Get the real type format desription for the target.  */
+  /* Get the real type format description for the target.  */
   const real_format *rfmt = REAL_MODE_FORMAT (mode);
   REAL_VALUE_TYPE rv;
 
@@ -1941,7 +1941,7 @@ format_floating (const directive &dir, tree arg)
   /* The minimum and maximum number of bytes produced by the directive.  */
   fmtresult res;
 
-  /* Get the real type format desription for the target.  */
+  /* Get the real type format description for the target.  */
   const REAL_VALUE_TYPE *rvp = TREE_REAL_CST_PTR (arg);
   const real_format *rfmt = REAL_MODE_FORMAT (TYPE_MODE (TREE_TYPE (arg)));
 
@@ -1966,7 +1966,7 @@ format_floating (const directive &dir, tree arg)
 	/* Convert the GCC real value representation with the precision
 	   of the real type to the mpfr_t format rounding down in the
 	   first iteration that computes the minimm and up in the second
-	   that computes the maximum.  This order is arbibtrary because
+	   that computes the maximum.  This order is arbitrary because
 	   rounding in either direction can result in longer output.  */
 	mpfr_t mpfrval;
 	mpfr_init2 (mpfrval, rfmt->p);
@@ -2160,7 +2160,7 @@ format_character (const directive &dir, tree arg)
     }
   else
     {
-      /* A plain '%c' directive.  Its ouput is exactly 1.  */
+      /* A plain '%c' directive.  Its output is exactly 1.  */
       res.range.min = res.range.max = 1;
       res.range.likely = res.range.unlikely = 1;
       res.knownrange = true;
diff --git a/gcc/gimple-ssa-store-merging.c b/gcc/gimple-ssa-store-merging.c
index 64b8351..7881d86 100644
--- a/gcc/gimple-ssa-store-merging.c
+++ b/gcc/gimple-ssa-store-merging.c
@@ -20,7 +20,7 @@
 
 /* The purpose of this pass is to combine multiple memory stores of
    constant values to consecutive memory locations into fewer wider stores.
-   For example, if we have a sequence peforming four byte stores to
+   For example, if we have a sequence performing four byte stores to
    consecutive memory locations:
    [p     ] := imm1;
    [p + 1B] := imm2;
diff --git a/gcc/gimple-ssa-strength-reduction.c b/gcc/gimple-ssa-strength-reduction.c
index 25f751a..66a7b62 100644
--- a/gcc/gimple-ssa-strength-reduction.c
+++ b/gcc/gimple-ssa-strength-reduction.c
@@ -433,7 +433,7 @@ static hash_map<tree, name_expansion *> *name_expansions;
 /* Pointer map embodying a mapping from bases to alternative bases.  */
 static hash_map<tree, tree> *alt_base_map;
 
-/* Given BASE, use the tree affine combiniation facilities to
+/* Given BASE, use the tree affine combination facilities to
    find the underlying tree expression for BASE, with any
    immediate offset excluded.
 
diff --git a/gcc/gimple.c b/gcc/gimple.c
index 488f8c8..8861ae8 100644
--- a/gcc/gimple.c
+++ b/gcc/gimple.c
@@ -1041,7 +1041,7 @@ gimple_build_omp_return (bool wait_p)
 /* Build a GIMPLE_OMP_SECTIONS statement.
 
    BODY is a sequence of section statements.
-   CLAUSES are any of the OMP sections contsruct's clauses: private,
+   CLAUSES are any of the OMP sections construct's clauses: private,
    firstprivate, lastprivate, reduction, and nowait.  */
 
 gomp_sections *
diff --git a/gcc/gimple.def b/gcc/gimple.def
index d739a2d..3f11b48 100644
--- a/gcc/gimple.def
+++ b/gcc/gimple.def
@@ -192,7 +192,7 @@ DEFGSCODE(GIMPLE_PHI, "gimple_phi", GSS_PHI)
    EVAL is the sequence of statements to execute on entry to GIMPLE_TRY.
 
    CLEANUP is the sequence of statements to execute according to
-   TRY_KIND.  If TRY_KIND is GIMPLE_TRY_CATCH, CLEANUP is only exected
+   TRY_KIND.  If TRY_KIND is GIMPLE_TRY_CATCH, CLEANUP is only executed
    if an exception is thrown during execution of EVAL.  If TRY_KIND is
    GIMPLE_TRY_FINALLY, CLEANUP is always executed after executing EVAL
    (regardless of whether EVAL finished normally, or jumped out or an
diff --git a/gcc/gimple.h b/gcc/gimple.h
index 460011c..5e2f345 100644
--- a/gcc/gimple.h
+++ b/gcc/gimple.h
@@ -836,7 +836,7 @@ struct GTY((tag("GSS_OMP_ATOMIC_STORE_LAYOUT")))
    tell the runtime that it should begin the transaction in
    serial-irrevocable mode.  */
 #define GTMA_DOES_GO_IRREVOCABLE	(1u << 6)
-/* The transaction contains no instrumentation code whatsover, most
+/* The transaction contains no instrumentation code whatsoever, most
    likely because it is guaranteed to go irrevocable upon entry.  */
 #define GTMA_HAS_NO_INSTRUMENTATION	(1u << 7)
 
@@ -1413,7 +1413,7 @@ extern size_t const gimple_ops_offset_[];
 extern enum gimple_statement_structure_enum const gss_for_code_[];
 
 /* This variable holds the currently expanded gimple statement for purposes
-   of comminucating the profile info to the builtin expanders.  */
+   of communicating the profile info to the builtin expanders.  */
 extern gimple *currently_expanding_gimple_stmt;
 
 #define gimple_alloc(c, n) gimple_alloc_stat (c, n MEM_STAT_INFO)
@@ -3593,7 +3593,7 @@ gimple_cond_make_true (gcond *gs)
   gs->subcode = NE_EXPR;
 }
 
-/* Check if conditional statemente GS is of the form 'if (1 == 1)',
+/* Check if conditional statement GS is of the form 'if (1 == 1)',
   'if (0 == 0)', 'if (1 != 0)' or 'if (0 != 1)' */
 
 static inline bool
@@ -3683,7 +3683,7 @@ gimple_goto_dest (const gimple *gs)
 }
 
 
-/* Set DEST to be the destination of the unconditonal jump GS.  */
+/* Set DEST to be the destination of the unconditional jump GS.  */
 
 static inline void
 gimple_goto_set_dest (ggoto *gs, tree dest)
@@ -4848,7 +4848,7 @@ gimple_omp_ordered_set_clauses (gomp_ordered *ord_stmt, tree clauses)
 }
 
 
-/* Return the kind of the OMP_FOR statemement G.  */
+/* Return the kind of the OMP_FOR statement G.  */
 
 static inline int
 gimple_omp_for_kind (const gimple *g)
diff --git a/gcc/gimplify.c b/gcc/gimplify.c
index 2c7fc9f..dcb979b 100644
--- a/gcc/gimplify.c
+++ b/gcc/gimplify.c
@@ -760,7 +760,7 @@ gimple_add_tmp_var (tree tmp)
 /* This page contains routines to unshare tree nodes, i.e. to duplicate tree
    nodes that are referenced more than once in GENERIC functions.  This is
    necessary because gimplification (translation into GIMPLE) is performed
-   by modifying tree nodes in-place, so gimplication of a shared node in a
+   by modifying tree nodes in-place, so gimplification of a shared node in a
    first context could generate an invalid GIMPLE form in a second context.
 
    This is achieved with a simple mark/copy/unmark algorithm that walks the
@@ -1991,7 +1991,7 @@ collect_fallthrough_labels (gimple_stmt_iterator *gsi_p,
   return prev;
 }
 
-/* Return true if the switch fallthough warning should occur.  LABEL is
+/* Return true if the switch fallthrough warning should occur.  LABEL is
    the label statement that we're falling through to.  */
 
 static bool
@@ -3733,7 +3733,7 @@ gimple_boolify (tree expr)
     default:
       if (COMPARISON_CLASS_P (expr))
 	{
-	  /* There expressions always prduce boolean results.  */
+	  /* These expressions always produce boolean results.  */
 	  if (TREE_CODE (type) != BOOLEAN_TYPE)
 	    TREE_TYPE (expr) = boolean_type_node;
 	  return expr;
@@ -5516,7 +5516,7 @@ gimplify_modify_expr (tree *expr_p, gimple_seq *pre_p, gimple_seq *post_p,
 	return ret;
     }
 
-  /* In case of va_arg internal fn wrappped in a WITH_SIZE_EXPR, add the type
+  /* In case of va_arg internal fn wrapped in a WITH_SIZE_EXPR, add the type
      size as argument to the call.  */
   if (TREE_CODE (*from_p) == WITH_SIZE_EXPR)
     {
diff --git a/gcc/graph.c b/gcc/graph.c
index 9261732..45071c9 100644
--- a/gcc/graph.c
+++ b/gcc/graph.c
@@ -242,7 +242,7 @@ draw_cfg_nodes (pretty_printer *pp, struct function *fun)
     draw_cfg_nodes_no_loops (pp, fun);
 }
 
-/* Draw all edges in the CFG.  Retreating edges are drawin as not
+/* Draw all edges in the CFG.  Retreating edges are drawn as not
    constraining, this makes the layout of the graph better.
    (??? Calling mark_dfs_back may change the compiler's behavior when
    dumping, but computing back edges here for ourselves is also not
diff --git a/gcc/haifa-sched.c b/gcc/haifa-sched.c
index 1fcc01d..6fbb505 100644
--- a/gcc/haifa-sched.c
+++ b/gcc/haifa-sched.c
@@ -2518,7 +2518,7 @@ model_set_excess_costs (rtx_insn **insns, int count)
   if (print_p)
     fprintf (sched_dump, MODEL_BAR);
 
-  /* Use MAX (baseECC, 0) and baseP to calculcate ECC for each
+  /* Use MAX (baseECC, 0) and baseP to calculate ECC for each
      instruction.  */
   for (i = 0; i < count; i++)
     {
@@ -5547,7 +5547,7 @@ analyze_set_insn_for_autopref (rtx pat, bool write, rtx *base, int *offset)
 /* Functions to model cache auto-prefetcher.
 
    Some of the CPUs have cache auto-prefetcher, which /seems/ to initiate
-   memory prefetches if it sees instructions with consequitive memory accesses
+   memory prefetches if it sees instructions with consecutive memory accesses
    in the instruction stream.  Details of such hardware units are not published,
    so we can only guess what exactly is going on there.
    In the scheduler, we model abstract auto-prefetcher.  If there are memory
@@ -5812,7 +5812,7 @@ autopref_multipass_dfa_lookahead_guard (rtx_insn *insn1, int ready_index)
 
       if (ready_index == 0
 	  && data1->status == AUTOPREF_MULTIPASS_DATA_DONT_DELAY)
-	/* We allow only a single delay on priviledged instructions.
+	/* We allow only a single delay on privileged instructions.
 	   Doing otherwise would cause infinite loop.  */
 	{
 	  if (sched_verbose >= 2)
@@ -9279,7 +9279,7 @@ number_in_ready (void)
   return ready.n_ready;
 }
 
-/* Get number of ready's in the ready list.  */
+/* Get number of readys in the ready list.  */
 
 rtx_insn *
 get_ready_element (int i)
diff --git a/gcc/hash-table.h b/gcc/hash-table.h
index 0f7e21a..eefb8da 100644
--- a/gcc/hash-table.h
+++ b/gcc/hash-table.h
@@ -444,7 +444,7 @@ public:
   void traverse_noresize (Argument argument);
 
   /* Like traverse_noresize, but does resize the table when it is too empty
-     to improve effectivity of subsequent calls.  */
+     to improve effectiveness of subsequent calls.  */
   template <typename Argument,
 	    int (*Callback) (value_type *slot, Argument argument)>
   void traverse (Argument argument);
@@ -970,7 +970,7 @@ hash_table<Descriptor, Allocator>::traverse_noresize (Argument argument)
 }
 
 /* Like traverse_noresize, but does resize the table when it is too empty
-   to improve effectivity of subsequent calls.  */
+   to improve effectiveness of subsequent calls.  */
 
 template <typename Descriptor,
 	  template <typename Type> class Allocator>
diff --git a/gcc/hsa-brig.c b/gcc/hsa-brig.c
index 1a2d45f..b965cff 100644
--- a/gcc/hsa-brig.c
+++ b/gcc/hsa-brig.c
@@ -2062,7 +2062,7 @@ hsa_brig_emit_omp_symbols (void)
 }
 
 /* Create and return __hsa_global_variables symbol that contains
-   all informations consumed by libgomp to link global variables
+   all information consumed by libgomp to link global variables
    with their string names used by an HSA kernel.  */
 
 static tree
@@ -2144,7 +2144,7 @@ hsa_output_global_variables ()
 }
 
 /* Create __hsa_host_functions and __hsa_kernels that contain
-   all informations consumed by libgomp to register all kernels
+   all information consumed by libgomp to register all kernels
    in the BRIG binary.  */
 
 static void
diff --git a/gcc/hsa-common.h b/gcc/hsa-common.h
index 810624e..adf5ba3 100644
--- a/gcc/hsa-common.h
+++ b/gcc/hsa-common.h
@@ -177,7 +177,7 @@ public:
   void set_type (BrigKind16_t t);
 
   /* Function returns pointer to a buffer that contains binary representation
-     of the immeadiate value.  The buffer has length of BRIG_SIZE and
+     of the immediate value.  The buffer has length of BRIG_SIZE and
      a caller is responsible for deallocation of the buffer.  */
   char *emit_to_buffer (unsigned *brig_size);
 
@@ -549,7 +549,7 @@ private:
 				 BRIG_WIDTH_1) {}
 };
 
-/* Report whether P is a contitional branching instruction.  */
+/* Report whether P is a conditional branching instruction.  */
 
 template <>
 template <>
diff --git a/gcc/hsa-gen.c b/gcc/hsa-gen.c
index c5d8a6e..0c12074 100644
--- a/gcc/hsa-gen.c
+++ b/gcc/hsa-gen.c
@@ -1475,7 +1475,7 @@ hsa_insn_phi::hsa_insn_phi (unsigned nops, hsa_op_reg *dst)
 }
 
 /* Constructor of class representing instructions for control flow and
-   sychronization,   */
+   synchronization,   */
 
 hsa_insn_br::hsa_insn_br (unsigned nops, int opc, BrigType16_t t,
 			  BrigWidth8_t width, hsa_op_base *arg0,
@@ -1576,7 +1576,7 @@ hsa_insn_atomic::hsa_insn_atomic (int nops, int opc,
 		       opc == BRIG_OPCODE_SIGNALNORET);
 }
 
-/* Constructor of class representing signal instructions.  OPC is the prinicpal
+/* Constructor of class representing signal instructions.  OPC is the principal
    opcode, SOP is the specific signal operation opcode.  T is the type of the
    instruction.  The instruction operands are provided as ARG[0-3].  */
 
@@ -3394,7 +3394,7 @@ gen_hsa_insns_for_switch_stmt (gswitch *s, hsa_bb *hbb)
   gimple_stmt_iterator it = gsi_for_stmt (s);
   gsi_prev (&it);
 
-  /* Create preambule that verifies that index - lowest_label >= 0.  */
+  /* Create preamble that verifies that index - lowest_label >= 0.  */
   edge e = split_block (hbb->m_bb, gsi_stmt (it));
   e->flags &= ~EDGE_FALLTHRU;
   e->flags |= EDGE_TRUE_VALUE;
diff --git a/gcc/inchash.h b/gcc/inchash.h
index 6af1dad..b6b5b3b 100644
--- a/gcc/inchash.h
+++ b/gcc/inchash.h
@@ -21,8 +21,8 @@ along with GCC; see the file COPYING3.  If not see
 #define INCHASH_H 1
 
 
-/* This file implements an incremential hash function ADT, to be used
-   by code that incrementially hashes a lot of unrelated data
+/* This file implements an incremental hash function ADT, to be used
+   by code that incrementally hashes a lot of unrelated data
    (not in a single memory block) into a single value. The goal
    is to make it easy to plug in efficient hash algorithms.
    Currently it just implements the plain old jhash based
@@ -38,14 +38,14 @@ class hash
 {
  public:
 
-  /* Start incremential hashing, optionally with SEED.  */
+  /* Start incremental hashing, optionally with SEED.  */
   hash (hashval_t seed = 0)
   {
     val = seed;
     bits = 0;
   }
 
-  /* End incremential hashing and provide the final value.  */
+  /* End incremental hashing and provide the final value.  */
   hashval_t end ()
   {
     return val;
diff --git a/gcc/input.c b/gcc/input.c
index 8071810..c77184d 100644
--- a/gcc/input.c
+++ b/gcc/input.c
@@ -881,7 +881,7 @@ make_location (location_t caret, location_t start, location_t finish)
    - the character 'k', if the number is higher than 10 K (in base 2)
      but strictly lower than 10 M (in base 2)
    - the character 'M' if the number is higher than 10 M (in base2)
-   - the charcter ' ' if the number is strictly lower  than 10 K  */
+   - the character ' ' if the number is strictly lower  than 10 K  */
 #define STAT_LABEL(x) ((x) < 10 * ONE_K ? ' ' : ((x) < 10 * ONE_M ? 'k' : 'M'))
 
 /* Display an integer amount as multiple of 1K or 1M (in base 2).
@@ -1640,7 +1640,7 @@ line_table_test::line_table_test ()
 }
 
 /* Constructor.  Store the old value of line_table, and create a new
-   one, using the sitation described in CASE_.  */
+   one, using the situation described in CASE_.  */
 
 line_table_test::line_table_test (const line_table_case &case_)
 {
diff --git a/gcc/internal-fn.h b/gcc/internal-fn.h
index 23ce08a..63feda7 100644
--- a/gcc/internal-fn.h
+++ b/gcc/internal-fn.h
@@ -80,7 +80,7 @@ enum ifn_goacc_loop_kind {
    LEVEL corresponds to the GOMP_DIM of the reduction
    OP is the tree code of the reduction operation
    OFFSET may be used as an offset into a reduction array for the
-          reductions occuring at this level.
+          reductions occurring at this level.
    In general the return value is LOCAL_VAR, which creates a data
    dependency between calls operating on the same reduction.  */
 
diff --git a/gcc/ipa-chkp.c b/gcc/ipa-chkp.c
index c7fc3a0..c6a7fb1 100644
--- a/gcc/ipa-chkp.c
+++ b/gcc/ipa-chkp.c
@@ -725,7 +725,7 @@ chkp_produce_thunks (bool early)
     }
 
   /* Mark instrumentation clones created for aliases and thunks
-     as insttrumented so they could be removed as unreachable
+     as instrumented so they could be removed as unreachable
      now.  */
   if (!early)
     {
diff --git a/gcc/ipa-cp.c b/gcc/ipa-cp.c
index f5e023e..8cee406 100644
--- a/gcc/ipa-cp.c
+++ b/gcc/ipa-cp.c
@@ -185,7 +185,7 @@ public:
   /* Depth first search number and low link for topological sorting of
      values.  */
   int dfs, low_link;
-  /* True if this valye is currently on the topo-sort stack.  */
+  /* True if this value is currently on the topo-sort stack.  */
   bool on_stack;
 
   void add_source (cgraph_edge *cs, ipcp_value *src_val, int src_idx,
@@ -859,7 +859,7 @@ ipcp_lattice<valtype>::set_contains_variable ()
   return ret;
 }
 
-/* Set all aggegate lattices in PLATS to bottom and return true if they were
+/* Set all aggregate lattices in PLATS to bottom and return true if they were
    not previously set as such.  */
 
 static inline bool
@@ -870,7 +870,7 @@ set_agg_lats_to_bottom (struct ipcp_param_lattices *plats)
   return ret;
 }
 
-/* Mark all aggegate lattices in PLATS as containing an unknown value and
+/* Mark all aggregate lattices in PLATS as containing an unknown value and
    return true if they were not previously marked as such.  */
 
 static inline bool
@@ -887,7 +887,7 @@ ipcp_vr_lattice::meet_with (const ipcp_vr_lattice &other)
   return meet_with_1 (&other.m_vr);
 }
 
-/* Meet the current value of the lattice with value ranfge described by VR
+/* Meet the current value of the lattice with value range described by VR
    lattice.  */
 
 bool
@@ -896,7 +896,7 @@ ipcp_vr_lattice::meet_with (const value_range *p_vr)
   return meet_with_1 (p_vr);
 }
 
-/* Meet the current value of the lattice with value ranfge described by
+/* Meet the current value of the lattice with value range described by
    OTHER_VR lattice.  */
 
 bool
@@ -2371,7 +2371,7 @@ ipa_get_indirect_edge_target_1 (struct cgraph_edge *ie,
 
   t = NULL;
 
-  /* Try to work out value of virtual table pointer value in replacemnets.  */
+  /* Try to work out value of virtual table pointer value in replacements.  */
   if (!t && agg_reps && !ie->indirect_info->by_ref)
     {
       while (agg_reps)
@@ -3342,7 +3342,7 @@ ipcp_discover_new_direct_edges (struct cgraph_node *node,
     ipa_update_overall_fn_summary (node);
 }
 
-/* Vector of pointers which for linked lists of clones of an original crgaph
+/* Vector of pointers which for linked lists of clones of an original cgraph
    edge. */
 
 static vec<cgraph_edge *> next_edge_clone;
@@ -4526,7 +4526,7 @@ ipcp_val_agg_replacement_ok_p (ipa_agg_replacement_value *aggvals,
   return false;
 }
 
-/* Return true if offset is minus one because source of a polymorphic contect
+/* Return true if offset is minus one because source of a polymorphic context
    cannot be an aggregate value.  */
 
 DEBUG_FUNCTION bool
@@ -4537,7 +4537,7 @@ ipcp_val_agg_replacement_ok_p (ipa_agg_replacement_value *,
   return offset == -1;
 }
 
-/* Decide wheter to create a special version of NODE for value VAL of parameter
+/* Decide whether to create a special version of NODE for value VAL of parameter
    at the given INDEX.  If OFFSET is -1, the value is for the parameter itself,
    otherwise it is stored at the given OFFSET of the parameter.  KNOWN_CSTS,
    KNOWN_CONTEXTS and KNOWN_AGGS describe the other already known values.  */
diff --git a/gcc/ipa-devirt.c b/gcc/ipa-devirt.c
index c7460ca..c2b8921 100644
--- a/gcc/ipa-devirt.c
+++ b/gcc/ipa-devirt.c
@@ -887,7 +887,7 @@ compare_virtual_tables (varpool_node *prevailing, varpool_node *vtable)
 
       class_type->odr_violated = true;
 
-      /* Complain about size mismatch.  Either we have too many virutal
+      /* Complain about size mismatch.  Either we have too many virtual
  	 functions or too many virtual table pointers.  */
       if (end1 || end2)
 	{
@@ -927,7 +927,7 @@ compare_virtual_tables (varpool_node *prevailing, varpool_node *vtable)
 	  return;
 	}
 
-      /* And in the last case we have either mistmatch in between two virtual
+      /* And in the last case we have either mismatch in between two virtual
 	 methods or two virtual table pointers.  */
       if (warning_at (DECL_SOURCE_LOCATION
 			(TYPE_NAME (DECL_CONTEXT (vtable->decl))), OPT_Wodr,
@@ -979,7 +979,7 @@ warn_odr (tree t1, tree t2, tree st1, tree st2,
   if (!warn || !TYPE_NAME(t1))
     return;
 
-  /* ODR warnings are output druing LTO streaming; we must apply location
+  /* ODR warnings are output during LTO streaming; we must apply location
      cache for potential warnings to be output correctly.  */
   if (lto_location_cache::current_cache)
     lto_location_cache::current_cache->apply_location_cache ();
@@ -1025,7 +1025,7 @@ warn_odr (tree t1, tree t2, tree st1, tree st2,
     *warned = true;
 }
 
-/* Return ture if T1 and T2 are incompatible and we want to recusively
+/* Return true if T1 and T2 are incompatible and we want to recursively
    dive into them from warn_type_mismatch to give sensible answer.  */
 
 static bool
@@ -1046,7 +1046,7 @@ type_mismatch_p (tree t1, tree t2)
    This is hard to do in general.  We basically handle the common cases.
 
    If LOC1 and LOC2 are meaningful locations, use it in the case the types
-   themselves do no thave one.*/
+   themselves do not have one.*/
 
 void
 warn_types_mismatch (tree t1, tree t2, location_t loc1, location_t loc2)
@@ -1102,7 +1102,7 @@ warn_types_mismatch (tree t1, tree t2, location_t loc1, location_t loc2)
       gcc_assert (TYPE_NAME (t1) && TYPE_NAME (t2)
 		  && TREE_CODE (TYPE_NAME (t1)) == TYPE_DECL
 		  && TREE_CODE (TYPE_NAME (t2)) == TYPE_DECL);
-      /* Most of the time, the type names will match, do not be unnecesarily
+      /* Most of the time, the type names will match, do not be unnecessarily
          verbose.  */
       if (IDENTIFIER_POINTER (DECL_NAME (TYPE_NAME (t1)))
 	  != IDENTIFIER_POINTER (DECL_NAME (TYPE_NAME (t2))))
@@ -1611,7 +1611,7 @@ odr_types_equivalent_p (tree t1, tree t2, bool warn, bool *warned,
 		    != TYPE_METHODS (TYPE_MAIN_VARIANT (t2))))
 	      {
 		/* Currently free_lang_data sets TYPE_METHODS to error_mark_node
-		   if it is non-NULL so this loop will never realy execute.  */
+		   if it is non-NULL so this loop will never really execute.  */
 		if (TYPE_METHODS (TYPE_MAIN_VARIANT (t1)) != error_mark_node
 		    && TYPE_METHODS (TYPE_MAIN_VARIANT (t2)) != error_mark_node)
 		  for (f1 = TYPE_METHODS (TYPE_MAIN_VARIANT (t1)),
@@ -3632,7 +3632,7 @@ ipa_devirt (void)
 	       itself.
 
 	       This may need to be revisited once we add further ways to use
-	       the may edges, but it is a resonable thing to do right now.  */
+	       the may edges, but it is a reasonable thing to do right now.  */
 
 	    if ((e->indirect_info->param_index == -1
 		|| (!opt_for_fn (n->decl, flag_devirtualize_speculatively)
